| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::Graph< VertexProperties, EdgeProperties >::GraphSearch::DepthFirstSearchVisitor Class Reference
Inheritance diagram for Digikam::Graph< VertexProperties, EdgeProperties >::GraphSearch::DepthFirstSearchVisitor:

## Public Member Functions
| DepthFirstSearchVisitor (GraphSearch *const q)
template<typename VertexType , typename GraphType >
void | discover_vertex (VertexType u, const GraphType &) const

## Additional Inherited Members
Protected Member Functions inherited from Digikam::Graph< VertexProperties, EdgeProperties >::GraphSearch::CommonVisitor
| CommonVisitor (GraphSearch *const qq)
void | record (const Vertex &v) const
Protected Attributes inherited from Digikam::Graph< VertexProperties, EdgeProperties >::GraphSearch::CommonVisitor
GraphSearch *const | q = nullptr